<?
if (!isset($game["loc"][$player["loc"]][$look])) msg("<p>Не на кого смотреть");
$user=$game["loc"][$player["loc"]][$look];	// для оптимизации
$stmp.="<p>";
$info=split("\|",$user["info"]);
$i=$game["players"][$login];
$stmp.="<strong>".$user["title"]."</strong>";
if ($look == "user.superadmin") $stmp.="<br><b>Мегачел с кулаками</b><br><img src=pic/superadmin.jpg alt=аватар></img>";
if ($look == "user.VADIM") $stmp.="<br><img src=pic/VADIM.jpg alt=аватар></img>";
if ($look == "user.prizrak") $stmp.="<br><img src=\"pic/prizrak.jpg\" alt=\"*\"></img>";
if ($look == "user.grad") $stmp.="<br><img src=\"pic/grad.jpg\" alt=\"*\"></img>";
if ($look == "user.Nasqka") $stmp.="<br><img src=\"pic/kot_bayun.jpg\" alt=\"*\"></img>";

if ($look==$moder || $look==$moder2)
$stmp.="<br/><span style=\"color:gold\"><strong>Модератор игры</strong></span>";

if ($look==$admin || $look==$admin2)
$stmp.="<br/><span style=\"color:red\"><strong>Администрация игры</strong></span>";
$stmp.="<br><strong>Расса</strong>: ";
if ($info[3]=='human') $stmp.="Человек";
 else if($info[3]=='elf') $stmp.="Эльф"; 
else if($info[3]=='gnom') $stmp.="Гном"; 
else if($info[3]=='bog') $stmp.="Сам БОГ"; 
else $stmp.="человек";  

  $gild=split("\|",$game['loc'][$game['players'][$login]][$look]['gild']);
if (!$gild[1]) $stmp.=""; else $stmp.="<br/><strong>Гильдия</strong>: ".$gild[1]; 
if (!$gild[0]) $stmp.=""; else $stmp.="<br/><strong>Должность</strong>: ";
if ($gild[0]=="_") $stmp.="Новобранец";
if ($gild[0]=="^") $stmp.="Глава клана";
if ($gild[0]==">") $stmp.="Сержант";
if ($gild[0]=="!") $stmp.="Старшина";
if ($gild[0]=="@") $stmp.="Прапорщик";
if ($gild[0]=="+") $stmp.="Лейтинант";
if ($gild[0]=="=") $stmp.="Капитан";
if ($gild[0]=="~") $stmp.="Мойер";
if ($gild[0]=="-") $stmp.="Полковник";
if ($gild[0]=="*") $stmp.="Зам.главы";
if ($gild[0]=="*" || $gild[0]=="^")
$stmp.="<br/>(может принять в клан)";
$st=split("\|",$user["st"]);
$avt = implode("",file("avtoritet.dat"));
$avt = unserialize($avt);
if (!isset($avt[$look]["aplus"])) $avt[$look]["aplus"]=0;
if (!isset($avt[$look]["aminus"])) $avt[$look]["aminus"]=0;
$stmp.="<br/><strong>Авторитет</strong>: +".$avt[$look]["aplus"]."ч / ".$avt[$look]["aminus"]."ч";
if (!$user["vict"]) $user["vict"]=0;
$stmp.="<br/><strong>Умнность</strong>: ".$user["vict"]." (";
// статус умнности
if ($info[2]=="f"){
if ($user["vict"]<11) $stmp.="глупая"; // 1-10
if ($user["vict"]>=11 && $user["vict"]<31) $stmp.="начинающая"; // 11-30
if ($user["vict"]>=31 && $user["vict"]<71) $stmp.="известная"; // 31-70
if ($user["vict"]>=71 && $user["vict"]<121) $stmp.="знаменитная"; // 71-120
if ($user["vict"]>=121 && $user["vict"]<181) $stmp.="великолепная"; // 121-180
if ($user["vict"]>=181 && $user["vict"]<241) $stmp.="обученная"; //181-240
if ($user["vict"]>=241 && $user["vict"]<341) $stmp.="грандмастер"; //241-340
if ($user["vict"]>=341 && $user["vict"]<501) $stmp.="весшая"; // 341-500
if ($user["vict"]>=501)$stmp.="умница";
}else{
if ($user["vict"]<11) $stmp.="глупый"; // 1-10
if ($user["vict"]>=11 && $user["vict"]<31) $stmp.="начинающий"; // 11-30
if ($user["vict"]>=31 && $user["vict"]<71) $stmp.="известный"; // 31-70
if ($user["vict"]>=71 && $user["vict"]<121) $stmp.="знаменитный"; // 71-120
if ($user["vict"]>=121 && $user["vict"]<181) $stmp.="великолепный"; // 121-180
if ($user["vict"]>=181 && $user["vict"]<241) $stmp.="обученный"; //181-240
if ($user["vict"]>=241 && $user["vict"]<341) $stmp.="грандмастер"; //241-340
if ($user["vict"]>=341 && $user["vict"]<501) $stmp.="весший"; // 341-500
if ($user["vict"]>=501)$stmp.="умник";
}
$stmp.=")";
$stmp.="<br/><strong>Пол</strong>: ";
if ($info[2]=='f') $stmp.="Женщина"; else $stmp.="Мужчина";
$stmp.="<br/><strong>Возраст</strong>: ".$info[4]." лет";
//новичок или опытный игрок
$stmp.="<br/><strong>Статус</strong>: ";
				$war=split("\|",$user["war"]);

		$sk=split("\|",$user["skills"]);
if ($info[2]=="f"){
if ($sk[28]<5) $stmp.="новичок";
if ($sk[28]>=10 && $sk[28]<20) $stmp.="умелая";
if ($sk[28]>=20 && $sk[28]<30) $stmp.="опытная";
if ($sk[28]>=30 && $sk[28]<45) $stmp.="искусная";
if ($sk[28]>=45 && $sk[28]<60) $stmp.="профессиональная";
if ($sk[28]>=60 && $sk[28]<75) $stmp.="известная";
if ($sk[28]>=75 && $sk[28]<90) $stmp.="знаменитая";
if ($sk[28]>=90 && $sk[28]<105) $stmp.="мастер";
if ($sk[28]>=105 && $sk[28]<125) $stmp.="грандмастер";
if ($sk[28]>=125 && $sk[28]<200) $stmp.="Лорд";
if ($sk[28]>=200)$stmp.="Высшая";
}else{
if ($sk[28]<5) $stmp.="новичок";
if ($sk[28]>=10 && $sk[28]<20) $stmp.="умелый";
if ($sk[28]>=20 && $sk[28]<30) $stmp.="опытный";
if ($sk[28]>=30 && $sk[28]<45) $stmp.="искуссный";
if ($sk[28]>=45 && $sk[28]<60) $stmp.="профессиональный";
if ($sk[28]>=60 && $sk[28]<75) $stmp.="известный";
if ($sk[28]>=75 && $sk[28]<90) $stmp.="знаменитный";
if ($sk[28]>=90 && $sk[28]<105) $stmp.="мастер";
if ($sk[28]>=105 && $sk[28]<125) $stmp.="грандмастер";
if ($sk[28]>=125 && $sk[28]<200) $stmp.="Лорд";
if ($sk[28]>=200)$stmp.="Высший";
}

		// титул
		$arr_best=array(5=>"Монах",6=>"Вор",7=>"Укротитель",8=>"Боец",9=>"Воин",10=>"Лучник",13=>"Маг",17=>"Скрытный",21=>"Спиритуалист");
		$maxid=8;
		$maxval=0;
		foreach(array_keys($arr_best) as $i) if ($sk[$i]>$maxval) {$maxid=$i;$maxval=$sk[$i];}
		$stmp.=" ".$arr_best[$maxid];
$stmp.="<br/><strong>Уровень Доступа</strong>: ".$sk[28];
		$ki=explode("|", $user['status']);
$stmp.="<br/><strong>Статистика</strong>: +".$user['status2']."м / +".$user['status1']."ч";
function create($i){
$time = date("d.m.y", $i);
return $time;}
$stmp.="
<br/><strong>Дата регистрации</strong>: ".create($info[6]);;
$stmp.="<br/><strong>В игре</strong> ".ceil((time()-$info[6])/3600/24)." дней";
$stmp.="<br/><strong>Умер</strong>: ".$user['status3'];



		  
		//echo $s[4];
		// что одето
// что одето
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&look=$look&from=equip\">Одето</a>";
		
	
if ($login==$admin || $login==$admin2) {
$stmp.="<br/><span style=\"color:green\">--меню--</a>";
$look=str_replace("user.","",$look);
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&infor=user&k=user&logy=$look\">[инфо]</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&adm=pnut&logy=user.$look\">[Пнуть]</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&adm=duser&logy=$look\">[удалить]</a>";
}
if ($login==$moder || $login==$moder2) {
$stmp.="<br/><span style=\"color:green\">--меню--</a>";
$stmp.="<br/><a href=\"$PHP_SELF?sid=$sid&mod=pnut&logy=$look\">[Пнуть]</a>";
}
if ($from=="equip"){
		$od="";
		if ($user["equip"]) foreach ($user["equip"] as $i) if (isset($user["items"][$i])) {
		$item=split("\|",$user["items"][$i]);
		if (substr($i,0,12)=="item.weapon.") $od.="<br/><font color='red'>В руках:</font> ".$item[0];

		if (substr($i,0,16)=="item.armor.head.") $od.="<br/><u>Голова:</u> ".$item[0];
		if (substr($i,0,16)=="item.armor.body.") $od.="<br/><u>Тело:</u> ".$item[0];
		if (substr($i,0,16)=="item.armor.hand." || substr($i,0,15)=="item.armor.per.") $od.="<br/><u>Руки:</u> ".$item[0];
		if (substr($i,0,15)=="item.armor.leg." || substr($i,0,15)=="item.armor.sap.") $od.="<br/><u>Ноги:</u> ".$item[0];
		if (substr($i,0,18)=="item.armor.shield.") $od.="<br/><u>Щит:</u> ".$item[0];
		if (substr($i,0,17)=="item.amulet.") $od.="<br/><u>Амулет:</u> ".$item[0];
		}
		if (!$od) $od="<br/>- Нечего нет -";
msg("<span style=\"color:red\"><strong>Одето</strong></span>".$od."");
}
if ($st=="1") {  
			$user=$game["loc"][$player["loc"]][$look];	// для оптимизации
      $info=split("\|",$user["info"]);
      $st=split("\|",$user["st"]);
			$stmp="<p>";
			$stmp.="Статистика персонажа <b>".$user["title"]."</b>:<br/>";
			 
if ($info[2]=='f') {
			$stmp.="Убила ".$st[3]." монстров<br/>";
			$stmp.="Убила ".$st[2]." игроков<br/>";
			$stmp.="Умерла ".$st[4]." раз<br/>";
			$stmp.="Своровала ".$st[5]." раз<br/>";
			$stmp.="Поймала рыбы ".$st[6]." раз<br/>";
			$stmp.="Нарубила дерева ".$st[7]." раз<br/>";
			$stmp.="Добыла руды ".$st[8]." раз<br/>";
			$stmp.="Сковала ".$st[9]." раз<br/>";
			$stmp.="Добыла гранита ".$st[10]." раз<br/>";
			$stmp.="Приручила ".$st[11]." животных<br/>";
} else {
			$stmp.="Убил ".$st[3]." монстров<br/>";
			$stmp.="Убил ".$st[2]." игроков<br/>";
			$stmp.="Умер ".$st[4]." раз<br/>";
			$stmp.="Своровал ".$st[5]." раз<br/>";
			$stmp.="Поймал рыбы ".$st[6]." раз<br/>";
			$stmp.="Нарубил дерева ".$st[7]." раз<br/>";
			$stmp.="Добыл руды ".$st[8]." раз<br/>";
			$stmp.="Сковал ".$st[9]." раз<br/>";
			$stmp.="Добыл гранита ".$st[10]." раз<br/>";
			$stmp.="Приручил ".$st[11]." животных<br/>";
}
}

?>		

